> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# *Create listing

POST https://api.propexo.com/v1/listings/
Content-Type: application/json

Create a listing for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/listings/create-listing

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_listings__post_input.

- `unit_id` (string, required) — The Propexo unit id
- `rent_amount_in_cents` (integer, required) — The rent amount in cents
- `deposit_amount_in_cents` (integer, required) — The deposit amount in cents
- `available_date` (string, required) — The available date
- `contact_id` (string, required) — The Propexo contact id
- `is_managed_external` (boolean, required) — Whether the listing is managed externally
- `lease_terms` (string, optional) — The lease terms
- `custom_data` (V1ListingsPostInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1ListingsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ListingsPostInputCustomData

Deprecated: Field is no longer applicable

### V1ListingsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "unit_id": "unit_987654321",
  "rent_amount_in_cents": 150000,
  "deposit_amount_in_cents": 300000,
  "available_date": "2024-07-01",
  "contact_id": "contact_123456789",
  "is_managed_external": false
}
```

**Response**

```json
{
  "job_id": "job_abc123xyz789",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/listings/"

payload = {
    "unit_id": "unit_987654321",
    "rent_amount_in_cents": 150000,
    "deposit_amount_in_cents": 300000,
    "available_date": "2024-07-01",
    "contact_id": "contact_123456789",
    "is_managed_external": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/listings/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"unit_id":"unit_987654321","rent_amount_in_cents":150000,"deposit_amount_in_cents":300000,"available_date":"2024-07-01","contact_id":"contact_123456789","is_managed_external":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/listings/"

	payload := strings.NewReader("{\n  \"unit_id\": \"unit_987654321\",\n  \"rent_amount_in_cents\": 150000,\n  \"deposit_amount_in_cents\": 300000,\n  \"available_date\": \"2024-07-01\",\n  \"contact_id\": \"contact_123456789\",\n  \"is_managed_external\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/listings/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"unit_id\": \"unit_987654321\",\n  \"rent_amount_in_cents\": 150000,\n  \"deposit_amount_in_cents\": 300000,\n  \"available_date\": \"2024-07-01\",\n  \"contact_id\": \"contact_123456789\",\n  \"is_managed_external\": false\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/listings/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"unit_id\": \"unit_987654321\",\n  \"rent_amount_in_cents\": 150000,\n  \"deposit_amount_in_cents\": 300000,\n  \"available_date\": \"2024-07-01\",\n  \"contact_id\": \"contact_123456789\",\n  \"is_managed_external\": false\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/listings/', [
  'body' => '{
  "unit_id": "unit_987654321",
  "rent_amount_in_cents": 150000,
  "deposit_amount_in_cents": 300000,
  "available_date": "2024-07-01",
  "contact_id": "contact_123456789",
  "is_managed_external": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/listings/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"unit_id\": \"unit_987654321\",\n  \"rent_amount_in_cents\": 150000,\n  \"deposit_amount_in_cents\": 300000,\n  \"available_date\": \"2024-07-01\",\n  \"contact_id\": \"contact_123456789\",\n  \"is_managed_external\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "unit_id": "unit_987654321",
  "rent_amount_in_cents": 150000,
  "deposit_amount_in_cents": 300000,
  "available_date": "2024-07-01",
  "contact_id": "contact_123456789",
  "is_managed_external": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/listings/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```